
import {Route, Routes} from "react-router-dom";
import {PRODUCT_ADD, PRODUCT_LIST, PRODUCT_VIEW, REGISTER} from "./constants/routes";
import Layout from "./components/Layout/Layout";
import Products from "./containers/Products/Products";
import AddProduct from "./containers/Addproduct/AddProduct";
import Register from "./containers/Auth/Register/Register";

const App = () => (
    <>
      <Routes>
          <Route element={<Layout />}>
              <Route index element={<Products />}/>
              <Route path={REGISTER} element={<Register />}/>
              <Route path={PRODUCT_LIST} element={<Products />}/>
              <Route path={PRODUCT_ADD} element={<AddProduct />}/>
              <Route path={PRODUCT_VIEW} element={<h1>Show product</h1>}/>
          </Route>
      </Routes>
    </>
);


export default App;
